Authenticate
Retrieve a session token in JWT format for a specific user.
Request
POST https://api.demo.meetinglawyers.com/s2s/v1/users/authenticate (development)
POST https://api.meetinglawyers.com/s2s/v1/users/authenticate (production)
Headers
| Name | Value |
|---|---|
Api-Key | Integration identifier provided by MeetingLawyers |
Secret-Key | Security key provided by MeetingLawyers to securize server-to-server communications |
Content-Type | application/json |
Accept | application/json |
Request body
Parameters
| Name | Required | Type | Value |
|---|---|---|---|
user_id | True | String | Your user unique identifier |
Example
{
"user_id": "05415506H"
}
Response
Parameters
| Name | Type | Value |
|---|---|---|
access_token | String | session token in jwt format |
token_type | String | Fixed to "bearer" |
expires_in | Integer | Number of minutes of inactivity after which the session expires |
Example
{
"access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOi...",
"token_type": "bearer",
"expires_in": 60
}